import demoLayout from '@/views/demo/index.vue'
const demoRouter = {
  path: '/demo',
  name: 'demo',
  redirect: '/demo/list',
  component: demoLayout,
  meta: {
    title: '案例',
  },
  children: [
    {
      path: 'list',
      name: '5e8d9d9e-b9bf-4cf4-8ab2-c606fb3c21e6',
      component: () => import('@/views/demo/list/index.vue'),
      meta: {
        title: '列表查询',
      },
    },
    {
      path: 'form',
      name: 'c51b8128-e1ef-478a-9791-1687666c801c',
      component: () => import('@/views/demo/form/index.vue'),
      meta: {
        title: '表单',
      },
    },
    {
      path: 'table',
      name: '80f7d7e8-131a-4a3e-ac1c-add9167f1a6c',
      component: () => import('@/views/demo/table/index.vue'),
      meta: {
        title: '表格',
      },
    },
    {
      path: 'dialog',
      name: 'a123970f-e73d-44c7-b7bb-a016c57a2425',
      component: () => import('@/views/demo/dialog/index.vue'),
      meta: {
        title: '弹窗',
      },
    },
  ]
}
export default demoRouter
