import { post } from './request'

const suffix = 'cms-api'

// 热门推荐-热门推荐-主题信息
export const cmsAiQueryHotThemelist = (params) => post(
  `/${suffix}/szface/cmsAi/queryHotThemelist`,
  params,
  {
    headers: {
      isEncrypt: true
    }
  },
  'json'
)

// 热门推荐-热门推荐-热点问题列表
export const cmsAiQueryHotReclist = (params) => post(
  `/${suffix}/szface/cmsAi/queryHotReclist`,
  params,
  {
    headers: {
      isEncrypt: true
    }
  },
  'json'
)

// 智能问答-问题推荐列表
export const cmsAiQueryQuestionReclist = (params) => post(
  `/${suffix}/szface/cmsAi/queryQuestionReclist`,
  params,
  {
    headers: {
      isEncrypt: true
    }
  },
  'json'
)

// 政务服务-事项列表
export const matterQueryMatterlist = (params) => post(
  `/${suffix}/szface/matter/queryMatterlist`,
  params,
  {
    headers: {
      isEncrypt: true
    }
  },
  'json'
)

// 政务资讯-政策文件列表
export const policyInfoQueryPolicyInfolist = (params) => post(
  `/${suffix}/szface/policyInfo/queryPolicyInfolist`,
  params,
  {
    headers: {
      isEncrypt: true
    }
  },
  'json'
)

